---
- name: Create and restore DB
  hosts: all
  tasks:
    - name: Install deps
      become: true
      apt:
        name:
          - python3-pip
          - libpq-dev
        state: present

    - name: Install library
      pip:
        name:
          - psycopg2
        state: present

    - name: Download file sql
      get_url:
        url: https://gitlab.com/roboticpuppies/binar-platinum-challenge-kubernetes/-/raw/master/database/crud_db.sql
        dest: ~/db.sql

    - name: Create DB
      postgresql_db:
        name: users
        state: present
        login_user: usertest
        login_password: Password123!@#

    - name: Restore DB
      postgresql_db:
        name: users
        state: restore
        target: ~/db.sql
        login_user: usertest
        login_password: Password123!@#
